<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>TestAppJHipsterApp.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster</a> &gt; <span class="el_source">TestAppJHipsterApp.java</span></div><h1>TestAppJHipsterApp.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster;

import com.theo.myjhipster.config.ApplicationProperties;
import com.theo.myjhipster.config.DefaultProfileUtil;

import io.github.jhipster.config.JHipsterConstants;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.liquibase.LiquibaseProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.core.env.Environment;

import javax.annotation.PostConstruct;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Arrays;
import java.util.Collection;

@SpringBootApplication
@EnableConfigurationProperties({LiquibaseProperties.class, ApplicationProperties.class})
public class TestAppJHipsterApp {

<span class="fc" id="L27">    private static final Logger log = LoggerFactory.getLogger(TestAppJHipsterApp.class);</span>

    private final Environment env;

<span class="fc" id="L31">    public TestAppJHipsterApp(Environment env) {</span>
<span class="fc" id="L32">        this.env = env;</span>
<span class="fc" id="L33">    }</span>

    /**
     * Initializes TestAppJHipster.
     * &lt;p&gt;
     * Spring profiles can be configured with a program argument --spring.profiles.active=your-active-profile
     * &lt;p&gt;
     * You can find more information on how profiles work with JHipster on &lt;a href=&quot;https://www.jhipster.tech/profiles/&quot;&gt;https://www.jhipster.tech/profiles/&lt;/a&gt;.
     */
    @PostConstruct
    public void initApplication() {
<span class="fc" id="L44">        Collection&lt;String&gt; activeProfiles = Arrays.asList(env.getActiveProfiles());</span>
<span class="pc bpc" id="L45" title="3 of 4 branches missed.">        if (activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_DEVELOPMENT) &amp;&amp; activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_PRODUCTION)) {</span>
<span class="nc" id="L46">            log.error(&quot;You have misconfigured your application! It should not run &quot; +</span>
                &quot;with both the 'dev' and 'prod' profiles at the same time.&quot;);
        }
<span class="pc bpc" id="L49" title="3 of 4 branches missed.">        if (activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_DEVELOPMENT) &amp;&amp; activeProfiles.contains(JHipsterConstants.SPRING_PROFILE_CLOUD)) {</span>
<span class="nc" id="L50">            log.error(&quot;You have misconfigured your application! It should not &quot; +</span>
                &quot;run with both the 'dev' and 'cloud' profiles at the same time.&quot;);
        }
<span class="fc" id="L53">    }</span>

    /**
     * Main method, used to run the application.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
<span class="nc" id="L61">        SpringApplication app = new SpringApplication(TestAppJHipsterApp.class);</span>
<span class="nc" id="L62">        DefaultProfileUtil.addDefaultProfile(app);</span>
<span class="nc" id="L63">        Environment env = app.run(args).getEnvironment();</span>
<span class="nc" id="L64">        logApplicationStartup(env);</span>
<span class="nc" id="L65">    }</span>

    private static void logApplicationStartup(Environment env) {
<span class="nc" id="L68">        String protocol = &quot;http&quot;;</span>
<span class="nc bnc" id="L69" title="All 2 branches missed.">        if (env.getProperty(&quot;server.ssl.key-store&quot;) != null) {</span>
<span class="nc" id="L70">            protocol = &quot;https&quot;;</span>
        }
<span class="nc" id="L72">        String serverPort = env.getProperty(&quot;server.port&quot;);</span>
<span class="nc" id="L73">        String contextPath = env.getProperty(&quot;server.servlet.context-path&quot;);</span>
<span class="nc bnc" id="L74" title="All 2 branches missed.">        if (StringUtils.isBlank(contextPath)) {</span>
<span class="nc" id="L75">            contextPath = &quot;/&quot;;</span>
        }
<span class="nc" id="L77">        String hostAddress = &quot;localhost&quot;;</span>
        try {
<span class="nc" id="L79">            hostAddress = InetAddress.getLocalHost().getHostAddress();</span>
<span class="nc" id="L80">        } catch (UnknownHostException e) {</span>
<span class="nc" id="L81">            log.warn(&quot;The host name could not be determined, using `localhost` as fallback&quot;);</span>
<span class="nc" id="L82">        }</span>
<span class="nc" id="L83">        log.info(&quot;\n----------------------------------------------------------\n\t&quot; +</span>
                &quot;Application '{}' is running! Access URLs:\n\t&quot; +
                &quot;Local: \t\t{}://localhost:{}{}\n\t&quot; +
                &quot;External: \t{}://{}:{}{}\n\t&quot; +
                &quot;Profile(s): \t{}\n----------------------------------------------------------&quot;,
<span class="nc" id="L88">            env.getProperty(&quot;spring.application.name&quot;),</span>
            protocol,
            serverPort,
            contextPath,
            protocol,
            hostAddress,
            serverPort,
            contextPath,
<span class="nc" id="L96">            env.getActiveProfiles());</span>
<span class="nc" id="L97">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>